## WebKitDOMHTMLLegendElement

WebKitDOMHTMLLegendElement

## Functions

WebKitDOMHTMLFormElement * | webkit_dom_html_legend_element_get_form ()
gchar * | webkit_dom_html_legend_element_get_align ()
void | webkit_dom_html_legend_element_set_align ()

## Properties

gchar * | align | Read / Write
WebKitDOMHTMLFormElement * | form | Read

## Types and Values

| WebKitDOMHTMLLegendElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLLegendElement

## Implemented Interfaces

WebKitDOMHTMLLegendElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_legend_element_get_form ()

    WebKitDOMHTMLFormElement *
    webkit_dom_html_legend_element_get_form
                                   (WebKitDOMHTMLLegendElement *self);

#### Parameters

self | A WebKitDOMHTMLLegendElement |

#### Returns

A WebKitDOMHTMLFormElement.

[transfer none]

### webkit_dom_html_legend_element_get_align ()

    gchar *
    webkit_dom_html_legend_element_get_align
                                   (WebKitDOMHTMLLegendElement *self);

#### Parameters

self | A WebKitDOMHTMLLegendElement |

#### Returns

A gchar

### webkit_dom_html_legend_element_set_align ()

    void
    webkit_dom_html_legend_element_set_align
                                   (WebKitDOMHTMLLegendElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLLegendElement |
value | A gchar |

## Types and Values

### WebKitDOMHTMLLegendElement

    typedef struct _WebKitDOMHTMLLegendElement WebKitDOMHTMLLegendElement;

## Property Details

### The `“align”` property

      “align”                    gchar *

read-write gchar* HTMLLegendElement:align.

Flags: Read / Write

Default value: ""

### The `“form”` property

      “form”                     WebKitDOMHTMLFormElement *

read-only WebKitDOMHTMLFormElement* HTMLLegendElement:form.

Flags: Read